import { jsx } from "react/jsx-runtime";
import { LineSegments as LineSegments$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const LineSegments = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "LineSegments", ...props, children: /* @__PURE__ */ jsx(LineSegments$1, { weight: variant }) });
  }
);
LineSegments.displayName = "LineSegments";
Object.assign(LineSegments, { isGdsIcon: true });
export {
  LineSegments
};
